GNU bug report logs - #16306
24.3.50; font change creates blank column on Lucid

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: YAMAMOTO Mitsuharu <mituharu@HIDDEN>; dated Tue, 31 Dec 2013 02:29:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 16306 <at> debbugs.gnu.org:


Received: (at 16306) by debbugs.gnu.org; 5 Jan 2014 10:38:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 05 05:38:11 2014
Received: from localhost ([127.0.0.1]:35298 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vzl5v-0005Ih-98
	for submit <at> debbugs.gnu.org; Sun, 05 Jan 2014 05:38:11 -0500
Received: from mout.gmx.net ([212.227.15.18]:55385)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1Vzl5t-0005IZ-4I
 for 16306 <at> debbugs.gnu.org; Sun, 05 Jan 2014 05:38:09 -0500
Received: from [62.47.39.127] ([62.47.39.127]) by mail.gmx.com (mrgmx002) with
 ESMTPSA (Nemesis) id 0M2ts6-1VAoR416Vq-00sgMe for
 <16306 <at> debbugs.gnu.org>; Sun, 05 Jan 2014 11:38:08 +0100
Message-ID: <52C93609.7070203@HIDDEN>
Date: Sun, 05 Jan 2014 11:38:01 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
Subject: Re: bug#16306: 24.3.50; font change creates blank column on Lucid
References: <wl7galdaav.wl%mituharu@HIDDEN>	<8361q51m42.fsf@HIDDEN>	<wltxdptkom.wl%mituharu@HIDDEN>	<52C2AB99.6040503@HIDDEN>	<wllhz1kzmi.wl%mituharu@HIDDEN>	<52C3045C.7030303@HIDDEN>	<wlk3ektic5.wl%mituharu@HIDDEN>
 <wlk3efrp5z.wl%mituharu@HIDDEN>
In-Reply-To: <wlk3efrp5z.wl%mituharu@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:pPKumQvoOoOLPXiARMB8vA2/Ayc5btJHfSOC3MjpXS//aoSmYaR
 pOCS9UkXbu1nl6728OSwr7G5wEsdgL3+AYTTWiZU8XeX5ntC0nYOMKfu5pwO7HJEDxHWxnr
 LcGS77xEw6jSTgXy+5a4xwYx3dYFNil8p0934ISUNywPuBOx3LyeeFFAK6u2winyct1JAdd
 dUZ4mg/4vbXx70o1oIE5A==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16306
Cc: 16306 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > I tried with the "metacity" window manager on Ubuntu 12.04 LTS and
 > CentOS 5.10, and the results were much like what I got with
 > "quartz-wm" (i.e., (frame-width) is reduced from 80 to 79).

If it's the size hints as you suspected earlier, the problem should go
away if you set `frame-resize-pixelwise' to non-nil.  Otherwise, you
would have to tell me how the new value of `frame-width' gets calculated
in the case at hand.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16306; Package emacs. Full text available.

Message received at 16306 <at> debbugs.gnu.org:


Received: (at 16306) by debbugs.gnu.org; 5 Jan 2014 05:08:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 05 00:08:48 2014
Received: from localhost ([127.0.0.1]:34956 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vzfx9-0001hN-PS
	for submit <at> debbugs.gnu.org; Sun, 05 Jan 2014 00:08:47 -0500
Received: from mathmail.math.s.chiba-u.ac.jp ([133.82.132.2]:64989)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mituharu@HIDDEN>) id 1Vzfx6-0001hB-Pj
 for 16306 <at> debbugs.gnu.org; Sun, 05 Jan 2014 00:08:46 -0500
Received: from fermat.math.s.chiba-u.ac.jp (fermat [133.82.132.10])
 by mathmail.math.s.chiba-u.ac.jp (Postfix) with ESMTP id E8360C0560;
 Sun,  5 Jan 2014 14:08:40 +0900 (JST)
Date: Sun, 05 Jan 2014 14:08:40 +0900
Message-ID: <wlk3efrp5z.wl%mituharu@HIDDEN>
From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#16306: 24.3.50; font change creates blank column on Lucid
In-Reply-To: <wlk3ektic5.wl%mituharu@HIDDEN>
References: <wl7galdaav.wl%mituharu@HIDDEN>
 <8361q51m42.fsf@HIDDEN>
 <wltxdptkom.wl%mituharu@HIDDEN>
 <52C2AB99.6040503@HIDDEN>
 <wllhz1kzmi.wl%mituharu@HIDDEN>
 <52C3045C.7030303@HIDDEN>
 <wlk3ektic5.wl%mituharu@HIDDEN>
User-Agent: Wanderlust/2.14.0 (Africa) SEMI/1.14.6 (Maruoka) FLIM/1.14.8
 (=?ISO-8859-4?Q?Shij=F2?=) APEL/10.6 Emacs/22.3 (sparc-sun-solaris2.8)
 MULE/5.0 (SAKAKI)
Organization: Faculty of Science, Chiba University
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=US-ASCII
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 16306
Cc: 16306 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

>>>>> On Wed, 01 Jan 2014 13:51:54 +0900, YAMAMOTO Mitsuharu <mituharu@HIDDEN> said:

>> Can you tell me what

>> (list
>> (* (frame-char-width) 80)
>> (frame-fringe-width)
>> (frame-scroll-bar-width)
>> (* (frame-parameter nil 'internal-border-width) 2))

>> gives on your system?  Here it's (720 18 16 2) before and (1200 30 16 2)
>> after the font change.

> On my system, (640 16 16 2) before and (1120 28 16 2) after the font
> change.

> Probably we should wait for reports on other window managers, in case
> it is a bug in quartz-wm.

I tried with the "metacity" window manager on Ubuntu 12.04 LTS and
CentOS 5.10, and the results were much like what I got with
"quartz-wm" (i.e., (frame-width) is reduced from 80 to 79).

				     YAMAMOTO Mitsuharu
				mituharu@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16306; Package emacs. Full text available.

Message received at 16306 <at> debbugs.gnu.org:


Received: (at 16306) by debbugs.gnu.org; 2 Jan 2014 18:13:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 02 13:13:27 2014
Received: from localhost ([127.0.0.1]:58306 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vymlr-0002lK-15
	for submit <at> debbugs.gnu.org; Thu, 02 Jan 2014 13:13:27 -0500
Received: from mout.gmx.net ([212.227.15.19]:56068)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1Vymlo-0002lB-RF
 for 16306 <at> debbugs.gnu.org; Thu, 02 Jan 2014 13:13:25 -0500
Received: from [62.47.54.254] ([62.47.54.254]) by mail.gmx.com (mrgmx101) with
 ESMTPSA (Nemesis) id 0M3NEK-1V7v8M3Z1E-00qwIa for
 <16306 <at> debbugs.gnu.org>; Thu, 02 Jan 2014 19:13:23 +0100
Message-ID: <52C5AC40.3050408@HIDDEN>
Date: Thu, 02 Jan 2014 19:13:20 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
Subject: Re: bug#16306: 24.3.50; font change creates blank column on Lucid
References: <wl7galdaav.wl%mituharu@HIDDEN>	<8361q51m42.fsf@HIDDEN>	<wltxdptkom.wl%mituharu@HIDDEN>	<52C2AB99.6040503@HIDDEN>	<wllhz1kzmi.wl%mituharu@HIDDEN>	<52C3045C.7030303@HIDDEN>	<wlk3ektic5.wl%mituharu@HIDDEN>	<52C3F773.1030804@HIDDEN>
 <wlob3vj64y.wl%mituharu@HIDDEN>
In-Reply-To: <wlob3vj64y.wl%mituharu@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:oUjPwOefPias+IoSMMQwht3JOSq3Z31f1eNmnQchMYEwYd0UwIN
 xlqAW9rlcby2+VqlASQhB9P45A/ov4eH35NUNBTM/bcRXociFqoAMPDUfrfSN9dFZ0hg0qY
 TMmthGDy+zDnIBh5G3jaatoC7ugqYyB1gY7jpNKYs3vbKBd7QxXm+Jw+eq072xxD36g0UVw
 OhSjcWqcANaNDB7OP5yJw==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16306
Cc: 16306 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > It is the window manager "quartz-wm" that reduces the width from 1166
 > to 1162, probably because it respects the size hint that was set in
 > update_wm_hints (in widget.c).  There, the value of base_width/height
 > is calculated using the width/height of the frame *before* resizing.

What r=F4le does base_width play here?  If it prevailed, we could never
resize a frame to any size but the present one.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16306; Package emacs. Full text available.

Message received at 16306 <at> debbugs.gnu.org:


Received: (at 16306) by debbugs.gnu.org; 2 Jan 2014 05:37:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 02 00:37:59 2014
Received: from localhost ([127.0.0.1]:57122 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vyayk-0005Gc-Jt
	for submit <at> debbugs.gnu.org; Thu, 02 Jan 2014 00:37:59 -0500
Received: from mathmail.math.s.chiba-u.ac.jp ([133.82.132.2]:59404)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mituharu@HIDDEN>) id 1Vyayg-0005GQ-6d
 for 16306 <at> debbugs.gnu.org; Thu, 02 Jan 2014 00:37:57 -0500
Received: from fermat.math.s.chiba-u.ac.jp (fermat [133.82.132.10])
 by mathmail.math.s.chiba-u.ac.jp (Postfix) with ESMTP id 1173BC055D;
 Thu,  2 Jan 2014 14:37:50 +0900 (JST)
Date: Thu, 02 Jan 2014 14:37:49 +0900
Message-ID: <wlob3vj64y.wl%mituharu@HIDDEN>
From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#16306: 24.3.50; font change creates blank column on Lucid
In-Reply-To: <52C3F773.1030804@HIDDEN>
References: <wl7galdaav.wl%mituharu@HIDDEN>
 <8361q51m42.fsf@HIDDEN>
 <wltxdptkom.wl%mituharu@HIDDEN>
 <52C2AB99.6040503@HIDDEN>
 <wllhz1kzmi.wl%mituharu@HIDDEN>
 <52C3045C.7030303@HIDDEN>
 <wlk3ektic5.wl%mituharu@HIDDEN>
 <52C3F773.1030804@HIDDEN>
User-Agent: Wanderlust/2.14.0 (Africa) SEMI/1.14.6 (Maruoka) FLIM/1.14.8
 (=?ISO-8859-4?Q?Shij=F2?=) APEL/10.6 Emacs/22.3 (sparc-sun-solaris2.8)
 MULE/5.0 (SAKAKI)
Organization: Faculty of Science, Chiba University
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=US-ASCII
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 16306
Cc: 16306 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

>>>>> On Wed, 01 Jan 2014 12:09:39 +0100, martin rudalics <rudalics@HIDDEN> said:

>> On my system, (640 16 16 2) before and (1120 28 16 2) after the
>> font change.

> 28 for the fringe width doesn't look right, this should be 30 since
> a character is 15 pixels wide with the new font.  So there could be
> a bug in compute_fringe_widths, a function I never touched.  But
> this still would not explain a difference of four pixels.

There is actually nothing wrong with the calculation of the fringe
width, because the character width for the new font (Courier-18) is 14
on my side (14 * 80 = 1120).

> Could you try starting with GDB in x_new_font and tell me which
> value of "width" is passed to x_set_window_size_1 and how the latter
> calculates "pixelwidth" which it passes to XResizeWindow?

The value of "width" is 1120 as of the entry to x_set_window_size_1,
and the value of "pixelwidth" is 1166 at the call to XResizeWindow.

It is the window manager "quartz-wm" that reduces the width from 1166
to 1162, probably because it respects the size hint that was set in
update_wm_hints (in widget.c).  There, the value of base_width/height
is calculated using the width/height of the frame *before* resizing.

> And please also try the following patch (as mentioned earlier I
> never understood that calculation and what the value "14" is
> supposed to accomplish).  For me it doesn't change anything - maybe
> it does for you.

It doesn't change the behavior for me, either.

				     YAMAMOTO Mitsuharu
				mituharu@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16306; Package emacs. Full text available.

Message received at 16306 <at> debbugs.gnu.org:


Received: (at 16306) by debbugs.gnu.org; 1 Jan 2014 11:09:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 01 06:09:55 2014
Received: from localhost ([127.0.0.1]:55732 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VyJgR-0007cV-LL
	for submit <at> debbugs.gnu.org; Wed, 01 Jan 2014 06:09:55 -0500
Received: from mout.gmx.net ([212.227.17.21]:50793)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1VyJgO-0007cJ-EO
 for 16306 <at> debbugs.gnu.org; Wed, 01 Jan 2014 06:09:53 -0500
Received: from [62.47.59.193] ([62.47.59.193]) by mail.gmx.com (mrgmx002) with
 ESMTPSA (Nemesis) id 0MRo6b-1VrLVO0uEb-00SzwK for
 <16306 <at> debbugs.gnu.org>; Wed, 01 Jan 2014 12:09:51 +0100
Message-ID: <52C3F773.1030804@HIDDEN>
Date: Wed, 01 Jan 2014 12:09:39 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
Subject: Re: bug#16306: 24.3.50; font change creates blank column on Lucid
References: <wl7galdaav.wl%mituharu@HIDDEN>	<8361q51m42.fsf@HIDDEN>	<wltxdptkom.wl%mituharu@HIDDEN>	<52C2AB99.6040503@HIDDEN>	<wllhz1kzmi.wl%mituharu@HIDDEN>	<52C3045C.7030303@HIDDEN>
 <wlk3ektic5.wl%mituharu@HIDDEN>
In-Reply-To: <wlk3ektic5.wl%mituharu@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:nkAe/0XRKNfVzm5HuPwweQbK6M35Lr0BW/qyK29NFeDe/qMmLK3
 2H0uVfszUeEbrExNyueWm9M2ZIo4CAKWY+LAcE3pZ1TQ6IVNVpe+FOV6sHrWo0PV0OdkU2S
 +bdfoM/+aXHdvXxJkfhR4uGFuFQlYgCho9QXC1JHlX2GhG6iaqPn/oGSo/S7uinSptCyCnG
 ptVCdCI7U6T65bcDhgwWA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16306
Cc: Eli Zaretskii <eliz@HIDDEN>, 16306 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > On my system, (640 16 16 2) before and (1120 28 16 2) after the font
 > change.

28 for the fringe width doesn't look right, this should be 30 since a
character is 15 pixels wide with the new font.  So there could be a bug
in compute_fringe_widths, a function I never touched.  But this still
would not explain a difference of four pixels.

Could you try starting with GDB in x_new_font and tell me which value of
"width" is passed to x_set_window_size_1 and how the latter calculates
"pixelwidth" which it passes to XResizeWindow?

And please also try the following patch (as mentioned earlier I never
understood that calculation and what the value "14" is supposed to
accomplish).  For me it doesn't change anything - maybe it does for you.

martin


=== modified file 'src/xterm.c'
--- src/xterm.c	2013-12-31 09:48:54 +0000
+++ src/xterm.c	2014-01-01 10:01:19 +0000
@@ -7704,10 +7704,8 @@
      }
    else
      {
-      int wid = FRAME_COLUMN_WIDTH (f);
-
-      FRAME_CONFIG_SCROLL_BAR_WIDTH (f) = 14;
-      FRAME_CONFIG_SCROLL_BAR_COLS (f) = (14 + wid - 1) / wid;
+      FRAME_CONFIG_SCROLL_BAR_WIDTH (f) = FRAME_COLUMN_WIDTH (f);
+      FRAME_CONFIG_SCROLL_BAR_COLS (f) = 1;
      }

    if (FRAME_X_WINDOW (f) != 0)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16306; Package emacs. Full text available.

Message received at 16306 <at> debbugs.gnu.org:


Received: (at 16306) by debbugs.gnu.org; 1 Jan 2014 04:52:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 31 23:52:03 2013
Received: from localhost ([127.0.0.1]:55475 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VyDml-0005Q7-54
	for submit <at> debbugs.gnu.org; Tue, 31 Dec 2013 23:52:03 -0500
Received: from mathmail.math.s.chiba-u.ac.jp ([133.82.132.2]:59674)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mituharu@HIDDEN>) id 1VyDmh-0005Pc-0J
 for 16306 <at> debbugs.gnu.org; Tue, 31 Dec 2013 23:52:00 -0500
Received: from fermat.math.s.chiba-u.ac.jp (fermat [133.82.132.10])
 by mathmail.math.s.chiba-u.ac.jp (Postfix) with ESMTP id 87EFCC055D;
 Wed,  1 Jan 2014 13:51:54 +0900 (JST)
Date: Wed, 01 Jan 2014 13:51:54 +0900
Message-ID: <wlk3ektic5.wl%mituharu@HIDDEN>
From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#16306: 24.3.50; font change creates blank column on Lucid
In-Reply-To: <52C3045C.7030303@HIDDEN>
References: <wl7galdaav.wl%mituharu@HIDDEN>	<8361q51m42.fsf@HIDDEN>	<wltxdptkom.wl%mituharu@HIDDEN>	<52C2AB99.6040503@HIDDEN>	<wllhz1kzmi.wl%mituharu@HIDDEN>	<52C3045C.7030303@HIDDEN>
User-Agent: Wanderlust/2.14.0 (Africa) SEMI/1.14.6 (Maruoka) FLIM/1.14.8
 (=?ISO-8859-4?Q?Shij=F2?=) APEL/10.6 Emacs/22.3 (sparc-sun-solaris2.8)
 MULE/5.0 (SAKAKI)
Organization: Faculty of Science, Chiba University
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=US-ASCII
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 16306
Cc: Eli Zaretskii <eliz@HIDDEN>, 16306 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

>>>>> On Tue, 31 Dec 2013 18:52:28 +0100, martin rudalics <rudalics@HIDDEN> said:

>> It no longer shows a blank column.  But for the Lucid case, the value
>> of (frame-width) is reduced from 80 to 79 (and 80th column is
>> partially shown) when I change the frame font to Courier-18.

> I can't repeat that here, neither with Lucid nor with Motif.

It seems that the behavior depends on the window manager.  The
original report was with quartz-wm, the default one for X11 on OS X.
The value of (list (frame-width) (frame-pixel-width)) there was

(80 674) ;; before (set-frame-font "Courier-18")
(79 1162) ;; after (set-frame-font "Courier-18")

but with twm, it becomes

(80 674) ;; before (set-frame-font "Courier-18")
(80 1166) ;; after (set-frame-font "Courier-18")

The latter looks similar to yours.

> Can you tell me what

> (list
>   (* (frame-char-width) 80)
>   (frame-fringe-width)
>   (frame-scroll-bar-width)
>   (* (frame-parameter nil 'internal-border-width) 2))

> gives on your system?  Here it's (720 18 16 2) before and (1200 30 16 2)
> after the font change.

On my system, (640 16 16 2) before and (1120 28 16 2) after the font
change.

Probably we should wait for reports on other window managers, in case
it is a bug in quartz-wm.

				     YAMAMOTO Mitsuharu
				mituharu@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16306; Package emacs. Full text available.

Message received at 16306 <at> debbugs.gnu.org:


Received: (at 16306) by debbugs.gnu.org; 31 Dec 2013 18:58:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 31 13:58:57 2013
Received: from localhost ([127.0.0.1]:54985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vy4Wn-0003TF-5N
	for submit <at> debbugs.gnu.org; Tue, 31 Dec 2013 13:58:57 -0500
Received: from mout.gmx.net ([212.227.15.19]:62875)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1Vy4Wj-0003T1-SW
 for 16306 <at> debbugs.gnu.org; Tue, 31 Dec 2013 13:58:54 -0500
Received: from [62.47.33.2] ([62.47.33.2]) by mail.gmx.com (mrgmx103) with
 ESMTPSA (Nemesis) id 0MDR21-1WEKCf1CbV-00Gmox for <16306 <at> debbugs.gnu.org>;
 Tue, 31 Dec 2013 19:58:52 +0100
Message-ID: <52C313E1.4080508@HIDDEN>
Date: Tue, 31 Dec 2013 19:58:41 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#16306: 24.3.50; font change creates blank column on Lucid
References: <wl7galdaav.wl%mituharu@HIDDEN>	<8361q51m42.fsf@HIDDEN>	<wltxdptkom.wl%mituharu@HIDDEN>	<52C2AB99.6040503@HIDDEN>
 <wllhz1kzmi.wl%mituharu@HIDDEN> <52C3045C.7030303@HIDDEN>
 <22255ECC-3AEA-4CC1-AAF8-1ACFD4D4A652@HIDDEN>
In-Reply-To: <22255ECC-3AEA-4CC1-AAF8-1ACFD4D4A652@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:o2FSg14RnXTWVtIuErkoyP4AFmt4VQ/CIod7f3Ioky7mcrEt1T/
 JD0S0a3RJU3r2uVUIEo8kEdxkzrNJIS3eGTqHX4AoTrTw5sU24EUgvV5lkk2wzOfsz6S0c+
 ktI0/i5AjBYLV3E3uZs8Q/W05ixwr8AtsBxe+o4kyi6Q4aIXmmc0LUWalgNjxOd0I92WXHg
 axf+Y0m6Ri/ASCmuccj1Q==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16306
Cc: 16306 <at> debbugs.gnu.org, YAMAMOTO Mitsuharu <mituharu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > The native scroll bar is the same width as a character.  Not sure if the pixelwise resize changed that.

Can you tell me how this is processed in this part of x_new_font of
Emacs 24.3?  I'm too silly to understand its semantics.


   /* Compute the scroll bar width in character columns.  */
   if (FRAME_CONFIG_SCROLL_BAR_WIDTH (f) > 0)
     {
       int wid = FRAME_COLUMN_WIDTH (f);
       FRAME_CONFIG_SCROLL_BAR_COLS (f)
	= (FRAME_CONFIG_SCROLL_BAR_WIDTH (f) + wid-1) / wid;
     }
   else
     {
       int wid = FRAME_COLUMN_WIDTH (f);
       FRAME_CONFIG_SCROLL_BAR_COLS (f) = (14 + wid - 1) / wid;
     }

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16306; Package emacs. Full text available.

Message received at 16306 <at> debbugs.gnu.org:


Received: (at 16306) by debbugs.gnu.org; 31 Dec 2013 18:05:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 31 13:05:32 2013
Received: from localhost ([127.0.0.1]:54924 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vy3h2-0000aY-KO
	for submit <at> debbugs.gnu.org; Tue, 31 Dec 2013 13:05:32 -0500
Received: from mailfe01.swip.net ([212.247.154.1]:54747 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1Vy3gx-0000aJ-MJ
 for 16306 <at> debbugs.gnu.org; Tue, 31 Dec 2013 13:05:27 -0500
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe01.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 468377744; Tue, 31 Dec 2013 19:05:21 +0100
Content-Type: text/plain; charset=iso-8859-1
Mime-Version: 1.0 (Mac OS X Mail 7.1 \(1827\))
Subject: Re: bug#16306: 24.3.50; font change creates blank column on Lucid
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <52C3045C.7030303@HIDDEN>
Date: Tue, 31 Dec 2013 19:05:19 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <22255ECC-3AEA-4CC1-AAF8-1ACFD4D4A652@HIDDEN>
References: <wl7galdaav.wl%mituharu@HIDDEN>	<8361q51m42.fsf@HIDDEN>	<wltxdptkom.wl%mituharu@HIDDEN>	<52C2AB99.6040503@HIDDEN>
 <wllhz1kzmi.wl%mituharu@HIDDEN> <52C3045C.7030303@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
X-Mailer: Apple Mail (2.1827)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16306
Cc: 16306 <at> debbugs.gnu.org, YAMAMOTO Mitsuharu <mituharu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi.

31 dec 2013 kl. 18:52 skrev martin rudalics <rudalics@HIDDEN>:

> In any case, please have a look at x_new_font - maybe there's some
> blatant error you can spot immediately.  I have no idea how changing =
the
> font is supposed to change the size of the scrollbars.

The native scroll bar is the same width as a character.  Not sure if the =
pixelwise resize changed that.

	Jan D.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16306; Package emacs. Full text available.

Message received at 16306 <at> debbugs.gnu.org:


Received: (at 16306) by debbugs.gnu.org; 31 Dec 2013 17:52:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 31 12:52:47 2013
Received: from localhost ([127.0.0.1]:54900 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vy3Ul-0000D6-3V
	for submit <at> debbugs.gnu.org; Tue, 31 Dec 2013 12:52:47 -0500
Received: from mout.gmx.net ([212.227.15.19]:64570)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1Vy3Ug-0000Cu-9T
 for 16306 <at> debbugs.gnu.org; Tue, 31 Dec 2013 12:52:43 -0500
Received: from [62.47.33.2] ([62.47.33.2]) by mail.gmx.com (mrgmx102) with
 ESMTPSA (Nemesis) id 0M1RHp-1V9OqX3d9N-00tVJ3 for <16306 <at> debbugs.gnu.org>;
 Tue, 31 Dec 2013 18:52:41 +0100
Message-ID: <52C3045C.7030303@HIDDEN>
Date: Tue, 31 Dec 2013 18:52:28 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
Subject: Re: bug#16306: 24.3.50; font change creates blank column on Lucid
References: <wl7galdaav.wl%mituharu@HIDDEN>	<8361q51m42.fsf@HIDDEN>	<wltxdptkom.wl%mituharu@HIDDEN>	<52C2AB99.6040503@HIDDEN>
 <wllhz1kzmi.wl%mituharu@HIDDEN>
In-Reply-To: <wllhz1kzmi.wl%mituharu@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:5BY7bBa5I2i+GkqeCJ+2XubjoSVkJgu3Gcix5JVxmsnJnDbX3pj
 O73jdESl6myYbQe9zUP9oVztQKg4HhzA1atuia/O2S1VVdvcMvW5ST489ik876G+ujcxz2R
 K3PNo7EvRKi20QeL1DxauIAgwThmS/acxxWdy9DaEYnHdp/8O/fuV0cyMqIdzbH3RPhq8rI
 Adei82kl7xt5vA8jp6EBg==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16306
Cc: Eli Zaretskii <eliz@HIDDEN>, 16306 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > It no longer shows a blank column.  But for the Lucid case, the value
 > of (frame-width) is reduced from 80 to 79 (and 80th column is
 > partially shown) when I change the frame font to Courier-18.

I can't repeat that here, neither with Lucid nor with Motif.

 > Lucid:
 > (list (frame-width) (frame-pixel-width))
 > => (80 674)

=> (80 756) here

 > (+ (* (frame-char-width) 80) (frame-fringe-width)
 > (frame-scroll-bar-width)
 >    (* (frame-parameter nil 'internal-border-width) 2))
 > => 674

=> 756

 > (set-frame-font "Courier-18")
 > (list (frame-width) (frame-pixel-width))
 > => (79 1162)

=> (80 1248)

 > (+ (* (frame-char-width) 80) (frame-fringe-width)
 > (frame-scroll-bar-width)
 >    (* (frame-parameter nil 'internal-border-width) 2))
 > => 1166

=> 1248

Can you tell me what

(list
  (* (frame-char-width) 80)
  (frame-fringe-width)
  (frame-scroll-bar-width)
  (* (frame-parameter nil 'internal-border-width) 2))

gives on your system?  Here it's (720 18 16 2) before and (1200 30 16 2)
after the font change.

In any case, please have a look at x_new_font - maybe there's some
blatant error you can spot immediately.  I have no idea how changing the
font is supposed to change the size of the scrollbars.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16306; Package emacs. Full text available.

Message received at 16306 <at> debbugs.gnu.org:


Received: (at 16306) by debbugs.gnu.org; 31 Dec 2013 11:51:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 31 06:51:10 2013
Received: from localhost ([127.0.0.1]:54129 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vxxqn-0003W5-Lr
	for submit <at> debbugs.gnu.org; Tue, 31 Dec 2013 06:51:10 -0500
Received: from mathmail.math.s.chiba-u.ac.jp ([133.82.132.2]:59906)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mituharu@HIDDEN>) id 1Vxxqj-0003Vp-7W
 for 16306 <at> debbugs.gnu.org; Tue, 31 Dec 2013 06:51:06 -0500
Received: from fermat.math.s.chiba-u.ac.jp (fermat [133.82.132.10])
 by mathmail.math.s.chiba-u.ac.jp (Postfix) with ESMTP id 3A470C055D;
 Tue, 31 Dec 2013 20:51:01 +0900 (JST)
Date: Tue, 31 Dec 2013 20:51:01 +0900
Message-ID: <wllhz1kzmi.wl%mituharu@HIDDEN>
From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#16306: 24.3.50; font change creates blank column on Lucid
In-Reply-To: <52C2AB99.6040503@HIDDEN>
References: <wl7galdaav.wl%mituharu@HIDDEN>
 <8361q51m42.fsf@HIDDEN>
 <wltxdptkom.wl%mituharu@HIDDEN>
 <52C2AB99.6040503@HIDDEN>
User-Agent: Wanderlust/2.14.0 (Africa) SEMI/1.14.6 (Maruoka) FLIM/1.14.8
 (=?ISO-8859-4?Q?Shij=F2?=) APEL/10.6 Emacs/22.3 (sparc-sun-solaris2.8)
 MULE/5.0 (SAKAKI)
Organization: Faculty of Science, Chiba University
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=US-ASCII
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 16306
Cc: Eli Zaretskii <eliz@HIDDEN>, 16306 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

>>>>> On Tue, 31 Dec 2013 12:33:45 +0100, martin rudalics <rudalics@HIDDEN> said:

>> Resized.  Evaluation of (frame-pixel-width) gives different results
>> between Lucid and non-toolkit:

> Is it better now?  I had some shelved fixes and couldn't reproduce
> it so I installed them.

It no longer shows a blank column.  But for the Lucid case, the value
of (frame-width) is reduced from 80 to 79 (and 80th column is
partially shown) when I change the frame font to Courier-18.

				     YAMAMOTO Mitsuharu
				mituharu@HIDDEN

Lucid:
(list (frame-width) (frame-pixel-width))
=> (80 674)
(+ (* (frame-char-width) 80) (frame-fringe-width)
(frame-scroll-bar-width)
   (* (frame-parameter nil 'internal-border-width) 2))
=> 674
(set-frame-font "Courier-18")
(list (frame-width) (frame-pixel-width))
=> (79 1162)
(+ (* (frame-char-width) 80) (frame-fringe-width)
(frame-scroll-bar-width)
   (* (frame-parameter nil 'internal-border-width) 2))
=> 1166


Non-toolkit:
(list (frame-width) (frame-pixel-width))
=> (80 674)
(+ (* (frame-char-width) 80) (frame-fringe-width)
(frame-scroll-bar-width)
   (* (frame-parameter nil 'internal-border-width) 2))
=> 674
(set-frame-font "Courier-18")
(list (frame-width) (frame-pixel-width))
=> (80 1166)
(+ (* (frame-char-width) 80) (frame-fringe-width)
(frame-scroll-bar-width)
   (* (frame-parameter nil 'internal-border-width) 2))
=> 1166


GTK+:
(list (frame-width) (frame-pixel-width))
=> (80 672)
(+ (* (frame-char-width) 80) (frame-fringe-width)
(frame-scroll-bar-width)
   (* (frame-parameter nil 'internal-border-width) 2))
=> 672
(set-frame-font "Courier-18")
(list (frame-width) (frame-pixel-width))
=> (80 1164)
(+ (* (frame-char-width) 80) (frame-fringe-width)
(frame-scroll-bar-width)
   (* (frame-parameter nil 'internal-border-width) 2))
=> 1164






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16306; Package emacs. Full text available.

Message received at 16306 <at> debbugs.gnu.org:


Received: (at 16306) by debbugs.gnu.org; 31 Dec 2013 11:34:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 31 06:34:04 2013
Received: from localhost ([127.0.0.1]:54108 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VxxaF-0002xg-Fm
	for submit <at> debbugs.gnu.org; Tue, 31 Dec 2013 06:34:03 -0500
Received: from mout.gmx.net ([212.227.17.21]:64350)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1VxxaC-0002x9-GD
 for 16306 <at> debbugs.gnu.org; Tue, 31 Dec 2013 06:34:01 -0500
Received: from [62.47.45.86] ([62.47.45.86]) by mail.gmx.com (mrgmx102) with
 ESMTPSA (Nemesis) id 0Mcxtm-1VfsV23Sew-00IEk3 for <16306 <at> debbugs.gnu.org>;
 Tue, 31 Dec 2013 12:33:59 +0100
Message-ID: <52C2AB99.6040503@HIDDEN>
Date: Tue, 31 Dec 2013 12:33:45 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
Subject: Re: bug#16306: 24.3.50; font change creates blank column on Lucid
References: <wl7galdaav.wl%mituharu@HIDDEN>	<8361q51m42.fsf@HIDDEN>
 <wltxdptkom.wl%mituharu@HIDDEN>
In-Reply-To: <wltxdptkom.wl%mituharu@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:9ncKygsOgfl3iE5Y6io1pGF7nsIVNaS2knniM0sMy7NOL+coyZk
 lpa5LgsofZ5IFf7ecLvd2C/JUT0BSFg7nBoZO3nxq4Hak9nLyqVk8Nf4GmWOBZw7h73WzX0
 htf2gJ02lVq41LvZ3DhD1Xlxs4uHHRHBCpyiNP7faFYXRrs+rBMWF1RR6hH5fXVrySdoVwY
 gP85GTL0EBStm7h41gavw==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16306
Cc: Eli Zaretskii <eliz@HIDDEN>, 16306 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

> Resized.  Evaluation of (frame-pixel-width) gives different results
> between Lucid and non-toolkit:

Is it better now?  I had some shelved fixes and couldn't
reproduce it so I installed them.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16306; Package emacs. Full text available.

Message received at 16306 <at> debbugs.gnu.org:


Received: (at 16306) by debbugs.gnu.org; 31 Dec 2013 09:59:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 31 04:59:49 2013
Received: from localhost ([127.0.0.1]:54044 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vxw72-0008Rl-JK
	for submit <at> debbugs.gnu.org; Tue, 31 Dec 2013 04:59:48 -0500
Received: from mtaout22.012.net.il ([80.179.55.172]:37028)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Vxw6y-0008RW-QQ
 for 16306 <at> debbugs.gnu.org; Tue, 31 Dec 2013 04:59:46 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MYO00A0012AP500@HIDDEN> for 16306 <at> debbugs.gnu.org;
 Tue, 31 Dec 2013 11:59:15 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MYO00A9512QNT10@HIDDEN>;
 Tue, 31 Dec 2013 11:59:15 +0200 (IST)
Date: Tue, 31 Dec 2013 11:59:07 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16306: 24.3.50; font change creates blank column on Lucid
In-reply-to: <wltxdptkom.wl%mituharu@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
Message-id: <83vby5z6hg.fsf@HIDDEN>
References: <wl7galdaav.wl%mituharu@HIDDEN>
 <8361q51m42.fsf@HIDDEN> <wltxdptkom.wl%mituharu@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16306
Cc: 16306 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Tue, 31 Dec 2013 18:48:57 +0900
> From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
> Cc: 16306 <at> debbugs.gnu.org
> 
> >>>>> On Tue, 31 Dec 2013 10:05:33 +0200, Eli Zaretskii <eliz@HIDDEN> said:
> 
> >> 1. $ emacs -Q &
> >> 2. (set-frame-font "Courier-18") C-j
> >> 
> >> Then a blank column is created on the right edge of the frame (i.e.,
> >> to the right of the right fringe).
> >> 
> >> I can reproduce it if Emacs is compiled with the Lucid widgets
> >> support, but not for GTK+ or non-toolkit builds.
> 
> > Is the frame resized as result of changing the font, or do the frame
> > dimensions stay fixed?
> 
> Resized.  Evaluation of (frame-pixel-width) gives different results
> between Lucid and non-toolkit:
> 
> Lucid, showing blank column:
> (list (frame-width) (frame-pixel-width)) => (80 674)
> (set-frame-font "Courier-18")
> (list (frame-width) (frame-pixel-width)) => (79 1162)
> 
> Non-toolkit, not showing blank column:
> (list (frame-width) (frame-pixel-width)) => (80 674)
> (set-frame-font "Courier-18")
> (list (frame-width) (frame-pixel-width)) => (80 1166)

Thanks.  Can you show the screenshot of the problem, with some text
nearby to allow to judge the size of the blank column?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16306; Package emacs. Full text available.

Message received at 16306 <at> debbugs.gnu.org:


Received: (at 16306) by debbugs.gnu.org; 31 Dec 2013 09:49:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 31 04:49:07 2013
Received: from localhost ([127.0.0.1]:54027 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vxvwh-00086j-6l
	for submit <at> debbugs.gnu.org; Tue, 31 Dec 2013 04:49:07 -0500
Received: from mathmail.math.s.chiba-u.ac.jp ([133.82.132.2]:59937)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mituharu@HIDDEN>) id 1Vxvwc-00086A-R1
 for 16306 <at> debbugs.gnu.org; Tue, 31 Dec 2013 04:49:04 -0500
Received: from fermat.math.s.chiba-u.ac.jp (fermat [133.82.132.10])
 by mathmail.math.s.chiba-u.ac.jp (Postfix) with ESMTP id 0CE86C055D;
 Tue, 31 Dec 2013 18:48:58 +0900 (JST)
Date: Tue, 31 Dec 2013 18:48:57 +0900
Message-ID: <wltxdptkom.wl%mituharu@HIDDEN>
From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16306: 24.3.50; font change creates blank column on Lucid
In-Reply-To: <8361q51m42.fsf@HIDDEN>
References: <wl7galdaav.wl%mituharu@HIDDEN>
 <8361q51m42.fsf@HIDDEN>
User-Agent: Wanderlust/2.14.0 (Africa) SEMI/1.14.6 (Maruoka) FLIM/1.14.8
 (=?ISO-8859-4?Q?Shij=F2?=) APEL/10.6 Emacs/22.3 (sparc-sun-solaris2.8)
 MULE/5.0 (SAKAKI)
Organization: Faculty of Science, Chiba University
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=US-ASCII
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 16306
Cc: 16306 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

>>>>> On Tue, 31 Dec 2013 10:05:33 +0200, Eli Zaretskii <eliz@HIDDEN> said:

>> Date: Tue, 31 Dec 2013 11:27:36 +0900
>> From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
>> 
>> Steps to reproduce:
>> 
>> 1. $ emacs -Q &
>> 2. (set-frame-font "Courier-18") C-j
>> 
>> Then a blank column is created on the right edge of the frame (i.e.,
>> to the right of the right fringe).
>> 
>> I can reproduce it if Emacs is compiled with the Lucid widgets
>> support, but not for GTK+ or non-toolkit builds.

> Is the frame resized as result of changing the font, or do the frame
> dimensions stay fixed?

Resized.  Evaluation of (frame-pixel-width) gives different results
between Lucid and non-toolkit:

Lucid, showing blank column:
(list (frame-width) (frame-pixel-width)) => (80 674)
(set-frame-font "Courier-18")
(list (frame-width) (frame-pixel-width)) => (79 1162)

Non-toolkit, not showing blank column:
(list (frame-width) (frame-pixel-width)) => (80 674)
(set-frame-font "Courier-18")
(list (frame-width) (frame-pixel-width)) => (80 1166)

				     YAMAMOTO Mitsuharu
				mituharu@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16306; Package emacs. Full text available.

Message received at 16306 <at> debbugs.gnu.org:


Received: (at 16306) by debbugs.gnu.org; 31 Dec 2013 08:05:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 31 03:05:49 2013
Received: from localhost ([127.0.0.1]:53905 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VxuKi-0004tb-IQ
	for submit <at> debbugs.gnu.org; Tue, 31 Dec 2013 03:05:49 -0500
Received: from mtaout23.012.net.il ([80.179.55.175]:36935)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VxuKd-0004tM-Bq
 for 16306 <at> debbugs.gnu.org; Tue, 31 Dec 2013 03:05:45 -0500
Received: from conversion-daemon.a-mtaout23.012.net.il by
 a-mtaout23.012.net.il (HyperSendmail v2007.08) id
 <0MYN00H00VPNWW00@HIDDEN> for 16306 <at> debbugs.gnu.org;
 Tue, 31 Dec 2013 10:05:42 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MYN00HJYVTHQB70@HIDDEN>;
 Tue, 31 Dec 2013 10:05:42 +0200 (IST)
Date: Tue, 31 Dec 2013 10:05:33 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16306: 24.3.50; font change creates blank column on Lucid
In-reply-to: <wl7galdaav.wl%mituharu@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
Message-id: <8361q51m42.fsf@HIDDEN>
References: <wl7galdaav.wl%mituharu@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16306
Cc: 16306 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Tue, 31 Dec 2013 11:27:36 +0900
> From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
> 
> Steps to reproduce:
> 
>   1. $ emacs -Q &
>   2. (set-frame-font "Courier-18") C-j
> 
> Then a blank column is created on the right edge of the frame (i.e.,
> to the right of the right fringe).
> 
> I can reproduce it if Emacs is compiled with the Lucid widgets
> support, but not for GTK+ or non-toolkit builds.

Is the frame resized as result of changing the font, or do the frame
dimensions stay fixed?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16306; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Dec 2013 02:28:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 30 21:28:05 2013
Received: from localhost ([127.0.0.1]:53581 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vxp3s-0002ht-DC
	for submit <at> debbugs.gnu.org; Mon, 30 Dec 2013 21:28:04 -0500
Received: from eggs.gnu.org ([208.118.235.92]:51705)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mituharu@HIDDEN>) id 1Vxp3o-0002hL-Lu
 for submit <at> debbugs.gnu.org; Mon, 30 Dec 2013 21:28:01 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mituharu@HIDDEN>) id 1Vxp3i-0000G5-FL
 for submit <at> debbugs.gnu.org; Mon, 30 Dec 2013 21:28:00 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:59581)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mituharu@HIDDEN>) id 1Vxp3i-0000G1-Bz
 for submit <at> debbugs.gnu.org; Mon, 30 Dec 2013 21:27:54 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:53387)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mituharu@HIDDEN>) id 1Vxp3c-0004kw-Sd
 for bug-gnu-emacs@HIDDEN; Mon, 30 Dec 2013 21:27:54 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mituharu@HIDDEN>) id 1Vxp3X-0000Eh-CG
 for bug-gnu-emacs@HIDDEN; Mon, 30 Dec 2013 21:27:48 -0500
Received: from mathmail.math.s.chiba-u.ac.jp ([133.82.132.2]:60038)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mituharu@HIDDEN>) id 1Vxp3X-0000EE-2D
 for bug-gnu-emacs@HIDDEN; Mon, 30 Dec 2013 21:27:43 -0500
Received: from fermat.math.s.chiba-u.ac.jp (fermat [133.82.132.10])
 by mathmail.math.s.chiba-u.ac.jp (Postfix) with ESMTP id 1EE98C055D
 for <bug-gnu-emacs@HIDDEN>; Tue, 31 Dec 2013 11:27:37 +0900 (JST)
Date: Tue, 31 Dec 2013 11:27:36 +0900
Message-ID: <wl7galdaav.wl%mituharu@HIDDEN>
From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.50; font change creates blank column on Lucid
User-Agent: Wanderlust/2.14.0 (Africa) SEMI/1.14.6 (Maruoka) FLIM/1.14.8
 (=?ISO-8859-4?Q?Shij=F2?=) APEL/10.6 Emacs/22.3 (sparc-sun-solaris2.8)
 MULE/5.0 (SAKAKI)
Organization: Faculty of Science, Chiba University
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=US-ASCII
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Steps to reproduce:

  1. $ emacs -Q &
  2. (set-frame-font "Courier-18") C-j

Then a blank column is created on the right edge of the frame (i.e.,
to the right of the right fringe).

I can reproduce it if Emacs is compiled with the Lucid widgets
support, but not for GTK+ or non-toolkit builds.

				     YAMAMOTO Mitsuharu
				mituharu@HIDDEN

In GNU Emacs 24.3.50.1 (i386-apple-darwin13.0.0, X toolkit, Xaw3d scroll bars)
 of 2013-12-31 on YAMAMOTO-no-MacBook-Air.local
Bzr revision: 115814 dancol@HIDDEN
Windowing system distributor `The X.Org Foundation', version 11.0.11404000
Configured using:
 `configure --with-jpeg=no --with-gif=no --with-tiff=no'




Acknowledgement sent to YAMAMOTO Mitsuharu <mituharu@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#16306; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.